package org.jeecg.modules.ctop.mapper;

import cn.com.ctop.common.module.entity.Product;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MediaReportMapper {

    List<JSONObject> queryAdvertiserNameByCompanyId(@Param("companyId") String companyId);

    List<JSONObject> queryProjectNameByAdvertiserId(@Param("advertiserId") String advertiserId);

    List<JSONObject> queryAllBy(@Param("todayDate") String todayDate ,@Param("yesterdayDate") String yesterdayDate);

    List<JSONObject> queryMediaReportBy(@Param("todayDate") String todayDate ,@Param("yesterdayDate") String yesterdayDate,@Param("condition") String condition);

    List<JSONObject> queryAgentReportBy(@Param("todayDate") String todayDate ,@Param("yesterdayDate") String yesterdayDate);

    //快手媒介报表
    List<JSONObject> kuaishouMediaReport(@Param("today") String today ,@Param("yesterday") String yesterday,@Param("advertiserId") String advertiserId, @Param("companyId")String companyId, @Param("productId")Long productId);
    //头条媒介报表
    List<JSONObject> toutiaoMediaReport(@Param("today") String today ,@Param("yesterday") String yesterday, @Param("advertiserId") String advertiserId, @Param("companyId")String companyId, @Param("productId")Long productId);

    List<Product> getAllProductList(@Param("mediaType")Integer mediaType, @Param("advertiserId")String advertiserId);
}
